<template>
    <main id="js-page-content" role="main" class="page-content">
        <ol class="breadcrumb page-breadcrumb">
            <li class="breadcrumb-item"><router-link to="/index">Dashboard</router-link></li>
            <li class="breadcrumb-item"><router-link to="/surveys">Surveys</router-link></li>
            <li class="breadcrumb-item active">Survey Creator</li>
        </ol>
        <div class="subheader">
            <h1 class="subheader-title">
                <i class='subheader-icon fal fa-chart-bar'></i> Create a Survey<span class='fw-300'></span>
            </h1>
        </div>
        <div id="surveyCreatorContainer"></div>
    </main>
</template>

<script>
    import * as SurveyCreator from "survey-creator";
    import "survey-creator/survey-creator.css";
    import axios from "axios";
    import Swal from 'sweetalert2'

    export default {
        name: 'SurveyCreator',
        data() {
            return {};
        },

        mounted() {
            let options = { showEmbededSurveyTab: false };
            this.surveyCreator = new SurveyCreator.SurveyCreator(
                "surveyCreatorContainer",
                options
            );

            this.surveyCreator.saveSurveyFunc = function() {
                let survey = { survey: JSON.parse(this.text) };

                axios.post('http://ec2-54-89-84-11.compute-1.amazonaws.com:3000/api/addSurvey', survey,
                    {
                        headers: {
                            'Authorization': `Bearer ${localStorage.getItem('accessToken')}`
                        }
                    })
                    .then((survey)=>{
                        if(survey) {
                            Swal.fire({
                                title: 'Survey saved',
                                text: "You can do it later as well!",
                                icon: 'success',
                                confirmButtonColor: '#3085d6',
                                cancelButtonColor: '#d33',
                                confirmButtonText: 'Yaayy!',
                                closeOnClickOutside: false
                            }).then(async (result) => {

                                if (result.value) {
                                    window.location.href = `/surveys`;
                                }
                            })
                        }
                    })
                    .catch((e)=>{
                        console.log(e);
                    });


            };
        },

    }
</script>

<style scoped>

</style>
